CustomPropertiesTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.pluginxml.CustomPropertiesTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class CustomPropertiesTag

    java.lang.Object
      org.hyperic.hq.product.pluginxml.BaseTag
          org.hyperic.hq.product.pluginxml.CustomPropertiesTag

All Implemented Interfaces:
  XmlAttrHandler, XmlEndAttrHandler, XmlFilterHandler, XmlTagEntryHandler, XmlTagExitHandler, XmlTagHandler

    public class CustomPropertiesTag

extends BaseTag

Method Summary
`protected void` | `addConfigSchema(java.lang.String typeName, int idx, ConfigSchema schema)`
`void` | `endAttributes()`
`void` | `endTag()`
`protected org.hyperic.hq.product.pluginxml.ConfigOptionTag` | `getConfigOptionTag()`
`java.lang.String` | `getName()` Retrieve the name of the tag, without angled brackets.
`java.lang.String[]` | `getOptionalAttributes()`
`XmlTagInfo[]` | `getSubTags()` Retrieve information about which subtags are valid within the given tag.
`void` | `startTag()`

Methods inherited from class org.hyperic.hq.product.pluginxml.BaseTag
`enter, exit, filterAttrValue, getAttributes, getLog, getMergedSubTags, getMergedSubTags, getRequiredAttributes, handleAttribute, handleAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `XmlTagHandler`
  Retrieve the name of the tag, without angled brackets. (i.e. "foo" for tags named )

  Specified by:
    `getName` in interface `XmlTagHandler`
  Returns:
    The name of the tag

### getOptionalAttributes

    public java.lang.String[] getOptionalAttributes()

### getConfigOptionTag

    protected org.hyperic.hq.product.pluginxml.ConfigOptionTag getConfigOptionTag()

### addConfigSchema

    protected void addConfigSchema(java.lang.String typeName,
                                   int idx,
                                   ConfigSchema schema)

### getSubTags

    public XmlTagInfo[] getSubTags()

  Description copied from interface: `XmlTagHandler`
  Retrieve information about which subtags are valid within the given tag. This method will only be called once for each object.

  Specified by:
    `getSubTags` in interface `XmlTagHandler`
  Overrides:
    `getSubTags` in class `BaseTag`
  Returns:
    An array of tag information objects, indicating which subtags are valid.

### startTag

    public void startTag()

### endAttributes

    public void endAttributes()
                       throws XmlAttrException

  Specified by:
    `endAttributes` in interface `XmlEndAttrHandler`
  Throws:
    `XmlAttrException`

### endTag

    public void endTag()
                throws XmlTagException

  Throws:
    `XmlTagException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.